#
# spec file for package xlogical (Version 1.0.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel SDL_image SDL_image-devel SDL_mixer alsa audiofile esound glib glib-devel gpp gtk gtk-devel kdelibs-artsd libgpp libjpeg libpng smpeg smpeg-devel xf86
# usedforbuild    SDL SDL-devel SDL_image SDL_image-devel SDL_mixer aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd kdelibs-artsd less libgpp libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow smpeg smpeg-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

# Commandline: 
Name:         xlogical
Copyright:    GPL
Group:        X11/Games
Summary:      puzzle game
Version:      1.0.7
Release:      86
Url:          http://changeling.dynip.com/xlogical/
Source:       xlogical-1.0-7.tar.bz2
Patch:        xlogical-1.0-7.dif
Patch1:       xlogical-1.0-7-axp.dif
BuildRoot:    /var/tmp/%{name}-build

%description
XLogical is a puzzle game based on an Amiga game developed by Rainbow
Arts called Logical.

Authors:
--------
    Tom Warkentin <tom@changeling.dynip.com>
    Neil Brown <nbrown@changeling.dynip.com>
    Sloane Muscroft <sloane@changeling.dynip.com>

SuSE series: fun

%prep
%setup -n xlogical-1.0
%patch
%ifarch alpha
%patch1
%endif

%build
%{suse_update_config -f}
aclocal
automake -a
autoconf
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
                                      --localstatedir=/var/games
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO NEWS LICENSE
%attr(2755,games,game) /usr/bin/xlogical
%attr(-,games,game) /usr/share/xlogical
%dir /var/games/xlogical
%attr(664,games,game) /var/games/xlogical/xlogical.scores

%changelog -n xlogical
* Thu Aug 16 2001 - ro@suse.de
- changed neededforbuild <smpeg> to <smpeg smpeg-devel>
* Wed Aug 15 2001 - cihlar@suse.cz
- update to version 1.0-7
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Wed Jun 20 2001 - cihlar@suse.cz
- added kdelibs and kdelibs-devel to neededforbuild
* Tue Apr 10 2001 - cihlar@suse.cz
- update to version 1.0-6
* Thu Apr 05 2001 - cihlar@suse.cz
- fixed to compile on axp
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Mon Mar 12 2001 - cihlar@suse.cz
- update to version 1.0-5
- fixed neededforbuild
* Mon Mar 05 2001 - cihlar@suse.cz
- include dir /usr/include/gtk-1.2
* Wed Feb 21 2001 - cihlar@suse.cz
- added alsa, audiofile and esound to neededforbuild
* Tue Dec 19 2000 - cihlar@suse.cz
- fixed file permissions to levels
* Fri Dec 01 2000 - cihlar@suse.cz
- fixed file permissions
* Wed Nov 29 2000 - cihlar@suse.cz
- package created
